> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocalistic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Top Ups



## OpenAPI

````yaml /api-reference/openapi.json get /v1/billing/top-ups
openapi: 3.1.0
info:
  description: ''
  title: Vocalistic API
  version: 1.0.0
servers:
  - url: https://api.vocalistic.ai
security: []
paths:
  /v1/billing/top-ups:
    get:
      tags:
        - Billing
      summary: List Top Ups
      operationId: apps_billing_api_list_top_ups
      parameters:
        - in: query
          name: cursor
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TopUpPage'
          description: OK
      security:
        - ApiKeyAuth: []
        - UserSessionAuth: []
components:
  schemas:
    TopUpPage:
      properties:
        data:
          items:
            $ref: '#/components/schemas/TopUpOut'
          title: Data
          type: array
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      required:
        - data
        - next_cursor
      title: TopUpPage
      type: object
    TopUpOut:
      properties:
        amount:
          title: Amount
          type: integer
        checkout_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Checkout Url
        created_at:
          format: date-time
          title: Created At
          type: string
        credits:
          title: Credits
          type: number
        currency:
          title: Currency
          type: string
        id:
          title: Id
          type: string
        pack_id:
          title: Pack Id
          type: string
        refunded_credits:
          title: Refunded Credits
          type: number
        source:
          title: Source
          type: string
        status:
          title: Status
          type: string
      required:
        - id
        - pack_id
        - source
        - status
        - amount
        - currency
        - credits
        - refunded_credits
        - checkout_url
        - created_at
      title: TopUpOut
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.